error when compile 9.2.1 fallback  [SOLVED]

option, parallelism,...

Moderators: jbeuken, Jordan, pouillon

Forum rules
Please have a look at ~abinit/doc/config/build-config.ac in the source package for detailed and up-to-date information about the configuration of Abinit 8 builds.
For a video explanation on how to build Abinit 7.x for Linux, please go to: http://www.youtube.com/watch?v=DppLQ-KQA68.
IMPORTANT: when an answer solves your problem, please check the little green V-like button on its upper-right corner to accept it.
Post Reply
jianzhifu
Posts: 21
Joined: Tue Oct 29, 2013 9:20 am

error when compile 9.2.1 fallback

Post by jianzhifu » Wed Oct 21, 2020 10:36 am

Dear all,
When I compile abinit 9.2.1 fallback by build-abinit-fallbacks.sh,
There is an error: the file "abinit-fallbacks-config" can not be found.
I use centos 8.2, intel compilers_and_libraries_2020.2.254 && parallel_studio_xe_2020.2.108

The build-abinit-fallbacks.sh file is:

Code: Select all

#!/bin/bash

# Init
fallbacks_prefix="/home/sunlight/work/abinit/abinit-9.2.1/build/fallbacks/install_fb/intel/19.1"

# Find and Unpack tarball
tarfile=`basename "$(ls /home/sunlight/work/abinit/abinit-9.2.1/build/../fallbacks/*.tar.gz)"`
source=${tarfile%.tar.gz}

mkdir -p $source && tar -xzf /home/sunlight/work/abinit/abinit-9.2.1/build/../fallbacks/$tarfile -C $source --strip-components=1
cd $source

# Configure
./configure \
  --prefix="${fallbacks_prefix}" \
  --with-tardir="${HOME}/.abinit/tarballs" \
  --with-linalg-incs="-I/opt/intel2020up2/compilers_and_libraries_2020.2.254/linux/mkl/include" \
  --with-linalg-libs="-L/opt/intel2020up2/compilers_and_libraries_2020.2.254/linux/mkl/lib/intel64 -lmkl_intel_ilp64 -lmkl_core -lmkl_intel_thread -lmkl_scalapack_ilp64 -lmkl_blacs_intelmpi_ilp64 -lpthread -lm" \
  --with-fc-vendor="intel" \
  --with-fc-version="19.1" \
  --disable-atompaw \
  LIBS_NETCDF4_FORTRAN="-ldl -lm -lz" \
  CC="mpiicc" \
  CXX="mpiicpc" \
  FC="mpiifort"

make -j 4 install
rc=`echo $?`

if test "$rc" = "0"; then
  printf "$(tput bold)----------------------------------------------------------------------$(tput sgr0)\n\n"
  echo "The fallbacks are now ready to use."; \
  echo "You can link these fallbacks with Abinit by copying the following options to your ac9 file.";

  list_of_fbks=( libxc hdf5 netcdf4 netcdf4_fortran linalg xmlf90 libpsml wannier90 )
  for i in "${list_of_fbks[@]}"; do
    if test "`${fallbacks_prefix}/bin/abinit-fallbacks-config --enabled ${i}`" = "yes"; then
      Prefix=`${fallbacks_prefix}/bin/abinit-fallbacks-config --libs ${i}`
      printf "\n$(tput bold)"
      echo "with_${i}=${Prefix}" | sed '-e s/-L//;  s/\/lib //; s/netcdf4/netcdf/; s/-l.*$//'
      printf "$(tput sgr0)"
    fi  
  done
  printf "\n"
else
  printf "We have detected a problem while generating fallbacks : contact Abinit's team\n"
fi

exit
and config.ac file is:

Code: Select all

# MPI settings
FC="mpiifort"
CC="mpiicc"
CXX="mpiicpc"
with_mpi="yes"
enable_mpi_io="yes"

# linear algebra settings
with_linalg_flavor="mkl"
LINALG_CPPFLAGS="-I${MKLROOT}/include"
LINALG_FCFLAGS="-I${MKLROOT}/include"
LINALG_LIBS="-L${MKLROOT}/lib/intel64 -lmkl_intel_ilp64 -lmkl_core -lmkl_intel_thread -lmkl_scalapack_ilp64 -lmkl_blacs_intelmpi_ilp64 -lpthread -lm"

# mandatory libraries
with_hdf5="yes"
with_netcdf="yes"
with_netcdf_fortran="yes"
with_libxc="yes"

# FFT flavor
with_fft_flavor="dfti"
FFT_FCFLAGS="-I${MKLROOT}/include"

# Enable Netcdf mode in Abinit (use netcdf as default I/O library)
enable_netcdf_default="yes"

Could you give me some advice?
Thanks!

jianzhifu
Posts: 21
Joined: Tue Oct 29, 2013 9:20 am

Re: error when compile 9.2.1 fallback  [SOLVED]

Post by jianzhifu » Fri Dec 04, 2020 1:17 am

when install abinit 9.2.2 ,the problem is solved

Post Reply